osgManipulator::CylinderProjector Class Reference

`#include <Projector>`

Inheritance diagram for osgManipulator::CylinderProjector:

## Public Member Functions

| CylinderProjector ()
| CylinderProjector (osg::Cylinder *cylinder)
void | setCylinder (osg::Cylinder *cylinder)
const osg::Cylinder * | getCylinder () const
virtual bool | project (const PointerInfo &pi, osg::Vec3d &projectedPoint) const
bool | isPointInFront (const PointerInfo &pi, const osg::Matrix &localToWorld) const
void | setFront (bool front)
Public Member Functions inherited from osgManipulator::Projector
| Projector ()
void | setLocalToWorld (const osg::Matrix &localToWorld)
const osg::Matrix & | getLocalToWorld () const
const osg::Matrix & | getWorldToLocal () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~CylinderProjector ()
Protected Member Functions inherited from osgManipulator::Projector
virtual | ~Projector ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

osg::ref_ptr< osg::Cylinder > | _cylinder
osg::Vec3d | _cylinderAxis
bool | _front
Protected Attributes inherited from osgManipulator::Projector
osg::Matrix | _localToWorld
osg::Matrix | _worldToLocal
bool | _worldToLocalDirty
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

CylinderProjector projects points onto the given cylinder.

## Constructor & Destructor Documentation

## CylinderProjector() [1/2]

osgManipulator::CylinderProjector::CylinderProjector | ( |  | ) |

## CylinderProjector() [2/2]

osgManipulator::CylinderProjector::CylinderProjector | ( | osg::Cylinder * | cylinder | ) |

## ~CylinderProjector()

virtual osgManipulator::CylinderProjector::~CylinderProjector | ( |  | ) |

protected virtual

## Member Function Documentation

## getCylinder()

const osg::Cylinder * osgManipulator::CylinderProjector::getCylinder | ( |  | ) | const

inline

References _cylinder.

## isPointInFront()

bool osgManipulator::CylinderProjector::isPointInFront | ( | const PointerInfo & | pi,
|  | const osg::Matrix & | localToWorld ) const

Returns true is the point is in front of the cylinder given the eye direction.

## project()

virtual bool osgManipulator::CylinderProjector::project | ( | const PointerInfo & | pi,
|  | osg::Vec3d & | projectedPoint ) const

virtual

Calculates the object coordinates (projectedPoint) of a window coordinate (pointToProject) when projected onto the given plane. Returns true on successful projection.

Implements osgManipulator::Projector.

Reimplemented in osgManipulator::CylinderPlaneProjector.

## setCylinder()

void osgManipulator::CylinderProjector::setCylinder | ( | osg::Cylinder * | cylinder | ) |

inline

References _cylinder, _cylinderAxis, and osg::Cylinder::getRotation().

## setFront()

void osgManipulator::CylinderProjector::setFront | ( | bool | front | ) |

inline

References _front.

## Member Data Documentation

## _cylinder

osg::ref_ptr<osg::Cylinder> osgManipulator::CylinderProjector::_cylinder

protected

Referenced by getCylinder(), and setCylinder().

## _cylinderAxis

osg::Vec3d osgManipulator::CylinderProjector::_cylinderAxis

protected

Referenced by setCylinder().

## _front

bool osgManipulator::CylinderProjector::_front

protected

Referenced by setFront().

The documentation for this class was generated from the following file:

- Projector